munin-node.postinst has a typo

Bug #247806 reported by Scott Zawalski on 2008-07-12
6
Affects Status Importance Assigned to Milestone
munin (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: munin

Distro: Ibex
Version: 1.2.6-2ubuntu1

there is a typo in this package causing it to not complete installation

diff -uNr munin-1.2.6.old/debian/munin-node.postinst munin-1.2.6.new/debian/munin-node.postinst
--- munin-1.2.6.old/debian/munin-node.postinst 2008-07-12 00:37:46.000000000 -0700
+++ munin-1.2.6.new/debian/munin-node.postinst 2008-07-12 00:44:31.000000000 -0700
@@ -45,7 +45,7 @@
   fi
  fi
  echo "done."
- rm $TMFILE
+ rm $TMPFILE
 }

 case "$1" in

Related branches

Changed in munin:
assignee: nobody → nhandler
status: New → In Progress
Nathan Handler (nhandler) wrote :

munin (1.2.6-2ubuntu2) intrepid; urgency=low

  * Fix typo in debian/munin-node.postinst (LP: #247806)
  * Add debian/patches/275-add-missing-semicolon.path (LP: #247805)
    - Adds a missing semicolon in node/munin-node.in

 -- Nathan Handler <email address hidden> Sat, 12 Jul 2008 07:30:40 -0500

Changed in munin:
assignee: nhandler → nobody
status: In Progress → Confirmed
Chuck Short (zulcss) wrote :

The second patch is not required because we can just fix the patch. But thanks anyways.

chuck

Sebastien Bacher (seb128) wrote :

the bug has been fixed in 1.2.6-3 in debian too

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package munin - 1.2.6-4ubuntu1

---------------
munin (1.2.6-4ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    + debian/munin-node.postinst:
      - Restart munin-node to load new plugins. (LP: #224428)
    + debian/control:
      - Suggest cron (LP: #220561)
    + Updated debian/patches/221-apt-ubuntu-changes.patch:
      - Make apt_all.in Ubuntu specific. Thanks to Soren Hansen.

   [Nathan Handler]
   - Fix typo in debian/munin-node.postinst (LP: #247806)
   - Fixed missing semi-colon in node/munin-node.in (LP: #247805)

munin (1.2.6-4) unstable; urgency=medium

  * Install munin-node gracefully (ie. inside a chroot, where port 4949 is
    bound to another munin-node already) : munin-node.postinst: don't exit
    postinst with error if just munin-node-configure fails. debian/rules: use
    dh_installinit with --error-handler=true. (Closes: #491130)
  * munin-node: if_ and if_err_ plugins: add msh|venet|veth to the regex of
    detected interfaces. (Closes: #489505)
  * munin-node: postfix_mailqueue plugin: use postconf to detect postfix's
    spooldir. (Closes: #383397)
  * munin-plugins-extra: include vserver plugins (Closes: #489737), thanks to
    Micah Anderson for maintaining them. Make them use /bin/bash instead of
    /bin/sh as they don't work with dash yet.
  * munin-node: depend on gawk. (Closes: #491559)
  * munin-node: add versioned dependency on lsb-base. (Closes: #469311)
  * munin-node-configure: don't treat empty suggests as errors.
    (Closes: #491475, #489502)
  * munin-node: sensors plugin: don't output errors on autoconf and suggest if
    no sensors binary is installed. (Closes: #491473)
  * munin-plugins-extra: fix typo in courier plugin. (Closes: #491463)

munin (1.2.6-3) unstable; urgency=low

  [ Holger Levsen ]
  * Add liblwp-useragent-determined-perl to suggests for the munin-node
    package as its needed for the apache_accesses plugin.

  [ Matthias Schmitz ]
  * Fix typo in munin-node postinst. (Closes: #489591)
  * Fixed POD typo in Plugin.pm (Closes: #488700)

 -- Chuck Short <email address hidden> Mon, 21 Jul 2008 12:50:17 +0100

Changed in munin:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers